%global apiver 1.0

Name:           libpeas
Version:        1.34.0
Release:        1
Summary:        Gobject-based plugins engine
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Libpeas
Source0:        https://download.gnome.org/sources/%{name}/1.34/%{name}-%{version}.tar.xz

BuildRequires:  chrpath gcc gettext gi-docgen meson
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gladeui-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  python3-devel

Requires:       python3-gobject
Provides:       %{name}-gtk%{?_isa} 
Obsoletes:      %{name}-gtk
provides:       %{name}-loader-python3%{?_isa}
Obsoletes:      %{name}-loader-python3
Provides:       %{name}-loader-python = %{version}-%{release}
Obsoletes:      %{name}-loader-python < %{version}-%{release}

%description
libpeas is a gobject-based plugins engine, and is targetted at
giving every application the chance to assume its own extensibility.
It also has a set of features including, but not limited to:
multiple extension points; on demand (lazy) programming language
support for C, Python and Lua; simplicity of the API

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package includes libraries and header files for developing
applications that use libpeas.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson \
  -Ddemos=false \
  -Dvapi=true \
  -Dgtk_doc=true

%meson_build

%install
%meson_install
%delete_la_and_a
chrpath -d $RPM_BUILD_ROOT%{_libdir}/libpeas-%{apiver}/loaders/libpython3loader.so
chrpath -d $RPM_BUILD_ROOT%{_libdir}/libpeas-gtk-%{apiver}.so

%find_lang libpeas-1.0

%ldconfig_scriptlets

%files -f libpeas-1.0.lang
%doc AUTHORS NEWS README
%license COPYING
%{_libdir}/libpeas-*.so.0*
%dir %{_libdir}/libpeas-%{apiver}/loaders
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/icons/hicolor/*/actions/libpeas-plugin.*


%files devel
%{_includedir}/libpeas-%{apiver}/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/glade/catalogs/libpeas-gtk.xml
%{_datadir}/gir-1.0/*.gir
%{_libdir}/libpeas-%{apiver}.so
%{_libdir}/libpeas-gtk-%{apiver}.so
%{_libdir}/libpeas-%{apiver}/loaders/libpython3loader.so
%{_docdir}/libpeas-1.0
%{_docdir}/libpeas-gtk-1.0

%changelog
* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 1.34.0-1
- Update to 1.34.0

* Thu Apr 21 2022 dillon chen <dillon.chen@gmail.com> - 1.32.0-1
- Update to 1.32.0

* Mon Jun 7 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 1.28.0-1
- Upgrade to 1.28.0
- Update Version, Release, Source0, BuildRequires
- Use meson rebuild, delete python3.8-fix.patch that for autoreconf

* Mon Jun 22 2020 Zhanghua <zhanghua40@huawei.com> - 1.22.0-11
- Fix python3.8 complied error

* Thu Nov 28 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.22.0-10
- Package init
